'Newland.CityTheme:SiteTrackingMixin.TagManager':
  abstract: true
  superTypes:
    'Newland.CityTheme:SiteTrackingMixin': true

  ui:
    inspector:
      groups:
        'tag-manager':
          tab: 'tracking'
          label: 'Google Tag Manager'
          icon: 'fab fa-google'

  properties:
    'siteTrackingGtmId':
      type: string
      ui:
        label: 'Tag Manager ID'
        reloadIfChanged: true
        help:
          message: 'Newland.CityTheme:NodeTypes.SiteTrackingMixin:properties.siteTrackingGtmId.help.message'
        inspector:
          group: 'tag-manager'
    'siteTrackingAlwaysLoadTagManager':
      type: boolean
      defaultValue: false
      ui:
        label: 'Newland.CityTheme:NodeTypes.SiteTrackingMixin:properties.siteTrackingAlwaysLoadTagManager'
        help:
          message: 'Newland.CityTheme:NodeTypes.SiteTrackingMixin:properties.siteTrackingAlwaysLoadTagManager.help.message'
        reloadIfChanged: true
        inspector:
          group: 'tag-manager'
